# Generated from rubocop-bitcrowd-2.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubocop-bitcrowd

Name: rubygem-%{gem_name}
Version: 2.2.0
Release: 1%{?dist}
Summary: The bitcrowd rubocop.yml as a gem
License: MIT
URL: https://github.com/bitcrowd/rubocop-bitcrowd
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Use this as a quick start to get rubocop with the settings we use at bitcrowd
into your project.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/rubocop-autofix
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rubocop-performance.yml
%{gem_instdir}/.rubocop-rails.yml
%{gem_instdir}/.rubocop-rspec.yml
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/exe
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rubocop-bitcrowd.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 2.2.0-1
- Initial package
